Package org.apache.commons.configuration2.builder.fluent

# Interface XMLBuilderParameters

All Superinterfaces:
  `BasicBuilderProperties<XMLBuilderParameters>`, `BuilderParameters`, `FileBasedBuilderProperties<XMLBuilderParameters>`, `HierarchicalBuilderProperties<XMLBuilderParameters>`, `XMLBuilderProperties<XMLBuilderParameters>`

public interface XMLBuilderParameters extends BasicBuilderProperties<XMLBuilderParameters>, FileBasedBuilderProperties<XMLBuilderParameters>, HierarchicalBuilderProperties<XMLBuilderParameters>, XMLBuilderProperties<XMLBuilderParameters>, BuilderParameters

Definition of a parameters interface providing a fluent API for setting all properties for a XML configuration.

Important note: This interface is not intended to be implemented by client code! It defines a set of available properties and may be extended even in minor releases.

Since:
  2.0

- ## Field Summary

  ### Fields inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

  `RESERVED_PARAMETER_PREFIX`

- ## Method Summary

  ### Methods inherited from interface org.apache.commons.configuration2.builder.BasicBuilderProperties

  `setBeanHelper, setConfigurationDecoder, setConversionHandler, setDefaultLookups, setInterpolator, setListDelimiterHandler, setLogger, setParentInterpolator, setPrefixLookups, setSynchronizer, setThrowExceptionOnMissing`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

  `getParameters`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.FileBasedBuilderProperties

  `setBasePath, setEncoding, setFile, setFileName, setFileSystem, setLocationStrategy, setPath, setReloadingDetectorFactory, setReloadingRefreshDelay, setURL, setURL`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.HierarchicalBuilderProperties

  `setExpressionEngine`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.XMLBuilderProperties

  `setDocumentBuilder, setEntityResolver, setPublicID, setSchemaValidation, setSystemID, setValidating`